Change favicon for Wiktionaries
Closed, ResolvedPublic

Description

Author: derbeth

Description:
Communities on German, French and Polish Wiktionary would like to have a different favicon than currently Wikipedia has in order to distinguish itself. There's already a graphics based on "second" Wiktionary logo (used on French Wiktionary as primary one and on German Wikipedia on links to Wiktionary): http://commons.wikimedia.org/wiki/Image:Wiktionary_small.svg

Because English Wiktionary does not support such change, we would like to have the favicon changed only on those three Wiktionaries mentioned above.

Links to discussions:
http://de.wiktionary.org/wiki/Wiktionary:Teestube#Anderes_Favicon.3F
http://fr.wiktionary.org/wiki/Wiktionnaire:Wikidémie/novembre_2008#Favicon_change
http://pl.wiktionary.org/wiki/Wikisłownik:Bar#Logo


Version: unspecified
Severity: enhancement

bzimport set Reference to bz16315.
bzimport created this task.Via LegacyNov 11 2008, 7:55 PM
bzimport added a comment.Via ConduitNov 13 2008, 2:45 PM

Wiki.Melancholie wrote:

See also bug 16328.
I have created two icon sets (16px/32px), one being based on [[Image:Wiktionary small.svg]], the other (with minor differences) on [[Image:Wiktsister en.png]]; see:

bzimport added a comment.Via ConduitNov 14 2008, 6:49 AM

Wiki.Melancholie wrote:

New Favicon for Wiktionaries

Favicon.ico, per [[wikt:de:Wiktionary:Teestube#Vorschau]].
Should be also used by OpenSearch description, not just meta tag itself.

Attached: favicon.ico

bzimport added a comment.Via ConduitNov 14 2008, 6:54 AM

Gerard.meijssen wrote:

The Dutch Wiktionary is also using the "new" logo. Consequently changing the icons would be good here as well. Thanks, GerardM

bzimport added a comment.Via ConduitNov 14 2008, 7:29 AM

Wiki.Melancholie wrote:

Yes, nl and ar, co, fa, it, ko, lt, scn, sv, tr, uk, vi, yi, simple and fi on its Main_Page (and maybe even more) are also using the new logo, thus the new icon would be appropriate there too.

bzimport added a comment.Via ConduitNov 20 2008, 11:55 PM

Wiki.Melancholie wrote:

@devs: Where to upload this .ico for being able to *use* it, not just waiting for it?
It's possible to include the icon from bugzilla (JS), but a HTTPS certificate prompt now and then isn't really good.

brion added a comment.Via ConduitNov 21 2008, 12:05 AM

We're not really set up to do separate favicons on each language wiki -- an entire domain shares the same document root, and will have the same favicon. I'd also like to be using the same icon per project on general principle of image or "brand".

Thus either they'll all be updated, or none of them will.

Now, it's reasonably clean and attractive, and it's at least *not the Wikipedia favicon* ;) so I have no terrible objection to sticking it on all Wiktionaries, unless there's some objection from the community for doing this.

bzimport added a comment.Via ConduitNov 21 2008, 12:18 AM

Wiki.Melancholie wrote:

For the enwikt discussion:
http://en.wiktionary.org/wiki/Wiktionary:Beer_parlour#Wiktionary_favicon_change

No major objection there, too. Switching it on all wikts seems reasonable so.

bzimport added a comment.Via ConduitNov 21 2008, 12:50 AM

conrad.irwin wrote:

I fail to see how making the favicon bear no resemblance to the logo helps with the image of the "brand", and there's no chance of persuading en.wikt to use the tiles (perhaps unfortunately) and as most Wiktionaries still use the old logo, or a derivative therof, and the tiles include a W, the W is a more logical choice for a logo for everyone.

Would a better way of distinguishing the two not be to use a mini globe for wikipedia's favicon? The "W" they have is less of a feature of their logo than it is of ours.

brion added a comment.Via ConduitNov 21 2008, 1:10 AM

The point is that it's a distinct icon which:

a) is consistent across all language versions of the project

b) is different from other, different projects

so you can tell what site it is when you see the icon.

bzimport added a comment.Via ConduitNov 25 2008, 3:35 AM

Wiki.Melancholie wrote:

@"brand": Of the -active- Wiktionaries, the most are already using the new tile logo (the actual "brand", as voted for on Meta), see comment #4. The English Wiktionary is only one out of that many active an quite big Wiktionaries; so, as long as there is no major objection (see [[wikt:Wiktionary:Beer_parlour#Wiktionary_favicon_change]]) we should change the favicon at least.

Wikipedia as a whole won't have any other favicon in the near future, so we have to differ.

Thus, just let's change the favicon to a better one.
You have to just do things, otherwise they won't happen ever.

bzimport added a comment.Via ConduitNov 25 2008, 10:29 AM

derbeth wrote:

I fully agree. Thinking that Wikipedia would change its favicon it's a bit naive - why should they? Do they want it? Has anybody there even thought of such change? We (Wiktionary) cannot change favicon for Wikipedia. It could take _months_ before all Wikipedias agree for favicon change, create a new one and put a request on Bugzilla.

We cannot wait so long: as for now Wiktionary is the _only_ among all sister projects (Wikisource, Wikinews, Wikiquote, Wikiversity, Meta, Commons, Wikispecies, Incubator) that does not have its own favicon. This is an abnormal situation.

We are supposed to change favicon, not Wikipedia - because we have already a ready design for the favicon and Wikipedia does not even have an idea how the new favicon would look like. English Wiktionary cannot unilaterally block all other Wikionaries.

bzimport added a comment.Via ConduitNov 25 2008, 6:20 PM

Wiki.Melancholie wrote:

English Wiktionary cannot unilaterally block all

other Wikionaries.

They do not do so anyway!
On enwikt, users may not be that eager to have it, but there are no major objections, so ...

@WP: There had been a recent vote for "just" adding a small "DE" to the existing favicon on de.WP, see [[de:Wikipedia:Umfragen/Neues_Favicon]] and [[de:Wikipedia:Umfragen/Neues_Favicon_v2]], ending undetermined.

bzimport added a comment.Via ConduitJan 17 2009, 2:52 PM

Wiki.Melancholie wrote:

New Favicon for Wiktionaries

Same favicon, but optimized with IrfanView (minus 256 bytes)

attachment favicon.ico ignored as obsolete

bzimport added a comment.Via ConduitJan 17 2009, 3:21 PM

Wiki.Melancholie wrote:

When fixing bug 17049 (they just do it), please also fix this request.

  1. We already decided (voted) to use this new/unique design at [[meta:Wiktionary/logo]]!
  2. This favicon request is supported well, no major objections.
  3. Wikipedia as a whole will definitely *not* get any other favicon, *we* have to act and change ours!
  4. Browser's search boxes (OpenSearch) urgently need a distinct icon for Wiktionary.
  5. A lot Wiktionaries (*most* of the active ones) use the new logo (localized, as a global change is sadly still overdue); so make the favicon consistent to the elected new logo with this request, please.
bzimport added a comment.Via ConduitJan 17 2009, 3:29 PM

Wiki.Melancholie wrote:

Oh, and:

  1. This icon is used to link from Wikipedias to Wiktionaries, e.g. see [[de:Template:Wiktionary]] ;-)
Stepro added a comment.Via ConduitMar 21 2009, 12:18 PM

It's actually confusing working in Wikipedia and Wiktionary at the same time, the favicon should be changed in all Wiktionaries. Please switch to the voted one from [[:meta:Wiktionary/logo]].

bzimport added a comment.Via ConduitMay 13 2009, 8:57 AM

conrad.irwin wrote:

Please see [[:meta:Wiktionary/logo/refresh]].

RobH added a comment.Via ConduitMay 28 2009, 2:24 PM

I am looking through this request, but I do not see a link to any favicon file. Is this already rendered as an .ico file someplace?

bzimport added a comment.Via ConduitMay 28 2009, 2:29 PM

conrad.irwin wrote:

There are two attached to this bug, and though the second file seems broken to me, the first one works.

However resolution of this should be postponed until Wiktionary have had time to think about what logo they actually want. See [[:meta:Wiktionary/logo/refresh/proposals]].

bzimport added a comment.Via ConduitMay 30 2009, 11:21 AM

Wiki.Melancholie wrote:

(In reply to comment #19)

There are two attached to this bug, and though the second file seems broken to
me, the first one works.

https://bugzilla.wikimedia.org/attachment.cgi?id=5690
@Conrad: Why does the second seem broken to you? Link or rendering? ... using which web browser?

I actually tested the second favicon (comment #13) with all browsers available (has exactly the same format like the one from bug 17049).

RobH added a comment.Via ConduitJun 3 2009, 5:10 PM

Well, since the old favicon is indeed identical to wikipedia, I went ahead and pushed the updated one. If the consensus changes to have it use a different one, we can reopen this ticket, or create a new one.

For now the tile-w logo is now in place, replacing the plain W favicon identical on Wikipedia.

RobH added a comment.Via ConduitJun 3 2009, 5:13 PM

Please note that caching on the favicon.ico files is a bit strange. I have purged it in our caching servers, but individual web browsers handle the caching of those icon files differently. The change may not show for users until A) it expires in their local cache or B) they clear out their local cache.

Forcing a reload of a page does not tend to update that file like it does page content.

bzimport added a comment.Via ConduitJun 7 2009, 9:16 PM

Wiki.Melancholie wrote:

I now have installed the ColorfulTabs extension for Firefox and found a little problem with the somewhat compressed icon (the second one now live). If the background is not bright (white or gray e.g.) the icon's tile borders will look grainy (ugly), the darker the background colour the worse. This applies for the ColorfulTabs extension, probably also for the Personas extension and many skin changes for Firefox. It's the very same for Opera with its (ugly) Dark Skin, and probably any other browser using coloured tabs or URL bars.

Please consider using https://bugzilla.wikimedia.org/attachment.cgi?id=5527 instead [the normal one, 1.12kB; GIMP]!

Sorry for not looking closer.

bzimport added a comment.Via ConduitJun 7 2009, 9:18 PM

Wiki.Melancholie wrote:

Comment on attachment 5690
New Favicon for Wiktionaries

See
https://bugzilla.wikimedia.org/show_bug.cgi?id=16315#c23

bzimport added a comment.Via ConduitJun 8 2009, 5:48 PM

conrad.irwin wrote:

Detail of favicon on a black background

This is the current favicon, as shown in opera (which has dark tabs for everyone) it is horribly unprofessional.

I would recommend reverting back to the original logo which contains the W, a common element to all Wiktionary logos.

Though why I bother commenting I do not know, I have been completely ignored so far on this bug.

Attached:

RobH added a comment.Via ConduitJun 8 2009, 9:18 PM

Well, it seems more folks dislike that change than like it.

I do not want to be involved in the politics and discussion of reaching a consensus on this issue. So the best way out is to REVERT.

The old W favicon is back. I am not touching this thing again until there has been documented community consensus for this change. At that point, this ticket can be reopened (eww) or someone can make a new ticket that will not have all the consensus discussion on it.

Thats all folks!

bzimport added a comment.Via ConduitJun 8 2009, 10:46 PM

Wiki.Melancholie wrote:

@Conrad:

This is the current favicon, as shown in opera (which has dark tabs for

everyone) it is horribly unprofessional.

The point is that I do not use coloured tabs (the darker they are the more it takes to get used to); and *all* other users that have tested the icon (e.g. at [[de:wikt:Wiktionary:Teestube/Archiv/2008/12#Anderes_Favicon.3F]] seem to not use coloured tabs too, they all seem to use standard skins (Opera is a exception with its skin decission). There were no reports yet, I just discovered this now. The second icon was meant to have reduced size.

I would recommend reverting back to the original logo which contains the W, a

common element to all Wiktionary logos.

See comment #23, that one would have been perfectly OK (except that it's a tile too ;-).

Though why I bother commenting I do not know, I have been completely ignored so

far on this bug.

That's not true, see comment #20.

@Rob:
You can follow the logo discussion at [[meta:Wiktionary/logo/refresh]] from time to time if you like.
Sorry for troubling you!

bzimport added a comment.Via ConduitJun 8 2009, 11:05 PM

Wiki.Melancholie wrote:

Formerly proposed icon on black background

Just for completeness: Proof that https://bugzilla.wikimedia.org/attachment.cgi?id=5527 would have been OK.

Attached:

bzimport added a comment.Via ConduitNov 30 2010, 9:04 PM

jeluf wrote:

Your change has been completed.
Please reopen this ticket if anything went wrong.

The following configuration settings have been changed:

Index: InitialiseSettings.php

  • InitialiseSettings.php (revision 1373)

+++ InitialiseSettings.php (working copy)
@@ -7414,10 +7414,25 @@
),

'wgFavicon' => array(
+ 'arwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
+ 'cowiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
+ 'fawiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
+ 'fiwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
+ 'itwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
+ 'kowiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
+ 'ltwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
+ 'nlwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',

	'outreachwiki' => 'http://meta.wikimedia.org/favicon.ico',

+ 'ptwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
+ 'scnwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
+ 'simplewiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',

	'strategywiki'		=> 'http://meta.wikimedia.org/favicon.ico',
	'strategyappswiki'		=> 'http://meta.wikimedia.org/favicon.ico',

+ 'svwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
+ 'testwiki' => 'http://upload.wikimedia.org/wikipedia/test/favicon4.ico',
+ 'trwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
+ 'ukwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
+ 'viwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',

	'wikimania2005wiki' => 'http://upload.wikimedia.org/wikipedia/wikimania/favicon3.ico',
	'wikimania2006wiki' => 'http://upload.wikimedia.org/wikipedia/wikimania/favicon3.ico',
	'wikimania2007wiki' => 'http://upload.wikimedia.org/wikipedia/wikimania/favicon3.ico',

@@ -7426,6 +7441,9 @@

	'wikimania2010wiki' => 'http://upload.wikimedia.org/wikipedia/wikimania/favicon3.ico',
	'wikimania2011wiki' => 'http://upload.wikimedia.org/wikipedia/wikimania/favicon3.ico',
	'wikimaniateamwiki' => 'http://upload.wikimedia.org/wikipedia/wikimania/favicon3.ico',

+ 'yiwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
+ # nl and ar, co, fa, it, ko, lt, scn, sv, tr, uk, vi, yi, simple and fi
+
),

'wmgAutopromoteExtraGroups' => array(

You can find the entire config file at
http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php

bzimport added a comment.Via ConduitNov 30 2010, 9:15 PM

jeluf wrote:

Your change has been completed.
Please reopen this ticket if anything went wrong.

The following configuration settings have been changed:

Index: InitialiseSettings.php

  • InitialiseSettings.php (revision 1374)

+++ InitialiseSettings.php (working copy)
@@ -7416,13 +7416,16 @@
'wgFavicon' => array(

	'arwiktionary' 		=> 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
	'cowiktionary' 		=> 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',

+ 'dewiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',

	'fawiktionary' 		=> 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
	'fiwiktionary' 		=> 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',

+ 'frwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',

	'itwiktionary' 		=> 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
	'kowiktionary' 		=> 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
	'ltwiktionary' 		=> 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
	'nlwiktionary' 		=> 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
	'outreachwiki' => 'http://meta.wikimedia.org/favicon.ico',

+ 'plwiktionary' => 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',

	'ptwiktionary' 		=> 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
	'scnwiktionary' 		=> 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',
	'simplewiktionary' 		=> 'http://upload.wikimedia.org/wiktionary/favicon-piece.ico',

You can find the entire config file at
http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php

bzimport added a comment.Via ConduitJan 2 2011, 1:17 PM

adamkli wrote:

Hello. People from ja.wiktionary have also agreed to change their favicon. Link to the voting: http://ja.wiktionary.org/wiki/Wiktionary:%E7%B7%A8%E9%9B%86%E5%AE%A4/2010%E5%B9%B4Q4#Favicon.E3.81.AE.E5.A4.89.E6.9B.B4

Greets,
Alkamid

mxn added a subscriber: mxn.Via WebNov 24 2014, 8:58 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.